System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Collections.Specialized.NameObjectCollectionBase

An ASP.NET application is the sum of all files, pages, handlers, modules, and code within the scope of a virtual directory and its subdirectories on a single Web server.

A single instance of an class is created the first time a client requests any URL resource from within a particular ASP.NET application virtual directory. A separate single instance is created for each ASP.NET application on a Web server. A reference to each instance is then exposed via the intrinsic object.

Application state is not shared across either a Web farm (in which an application is hosted across multiple servers) or a Web garden (in which an application is hosted across multiple processes on the same computer).

Enables sharing of global information across multiple sessions and requests within an ASP.NET application.

- Method
  System.Void `` `` To be added

  Adds a new object to the collection.

  The name of the object to be added to the collection. The value of the object. 1.0.5000.0 2.0.0.0
- Property
  System.String[] To be added: an object of type 'string []' To be added

  Gets the access keys in the collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added

  Removes all objects from an collection.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.HttpApplicationState To be added: an object of type 'HttpApplicationState'

  This property provides compatibility with earlier versions of ASP.

  Gets a reference to the object.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 a To be added

  Gets the number of objects in the collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object `` To be added

  Gets an object by numerical index.

  The object referenced by .

  The index of the application state object. 1.0.5000.0 2.0.0.0
- Method
  System.Object ``

  The following example returns an object named MyAppVar1 from the collection of the intrinsic object and copies it to a new object variable.

  `Dim MyObject As Object MyObject = Application.Get("MyAppVar1")` `Object MyObject; MyObject = Application.Get("MyAppVar1");`

  Gets an object by name.

  The object referenced by .

  The name of the object. 1.0.5000.0 2.0.0.0
- Method
  System.String `` To be added

  Gets an object name by index.

  The name under which the application state object was saved.

  The index of the application state object. 1.0.5000.0 2.0.0.0
- Property
  System.Object `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.Object `` To be added: an object of type 'string' To be added To be added: an object of type 'object' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void

  The class performs automatic locking and unlocking with the and properties and the , , , , , and methods. However, explicitly using the and methods when you have a series of operations may be more efficient.

  Locks access to an variable to facilitate access synchronization.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Removes the named object from an collection.

  The name of the object to be removed from the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  is an internal call to .

  Removes all objects from an collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Removes an object from a collection by index.

  The position in the collection of the item to remove. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Updates the value of an object in an collection.

  The name of the object to be updated. The updated value of the object. 1.0.5000.0 2.0.0.0
- Property
  System.Web.HttpStaticObjectsCollection To be added: an object of type 'HttpStaticObjectsCollection'

  Application objects are defined in the Global.asax file inside the <object runat="server" scope="Application"> </object> tags.

  Gets all objects declared by an <object> tag where the scope is set to "Application" within the ASP.NET application.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  The class performs automatic locking and unlocking with the and properties and the , , , , , and methods. However, explicitly using the and methods when you have a series of operations may be more efficient.

  Unlocks access to an variable to facilitate access synchronization.

  1.0.5000.0
  2.0.0.0